/**
 * Palettes
 */


.palette-blue {
  a {
    border-bottom-color: _palette(accent-blue);

    &:hover {
      border-color: currentColor;
    }
  }

  blockquote {
    border-top-color: _palette(accent-blue);

    &:before {
      color: _palette(accent-blue);
    }
  }

  button,
  input[type="submit"],
  input[type="button"],
  input[type="reset"],
  .button, .button-primary {
    background: _palette(accent-blue);
    border-color: _palette(accent-blue);
    color: #fff;

    &:hover,
    &:focus,
    &:active {
      background: 0;
      border-color: _palette(accent-blue);
      color: _palette(accent-blue);
    }
  }

  .button {
    background: 0;
    color: _palette(accent-blue);

    &:hover,
    &:focus,
    &:active {
      background: _palette(accent-blue);
      border-color: _palette(accent-blue);
      color: #fff;
    }
  }

  .site-header {
    border-top-color: _palette(accent-blue);
  }
}


.palette-black,
.palette-blue,
.palette-red {
  .button-icon {
    background: 0;
    color: inherit;
  
    &:hover,
    &:focus,
    &:active {
      color: _palette(meta);
    }
  }
}

@media only screen and (min-width: 681px) {
  .layout-grid,
  .layout-list {

    &.palette-blue {
      .post-card-content:only-child {
        border-color: rgba(_palette(accent-blue),0.1);
      }
    }

  }
}
